KnowledgeBaseAdmin
Debug search across platform knowledge documents
Authorization
SupabaseBearer AuthorizationBearer <token>
Supabase user access token (Authorization: Bearer JWT)
In: header
Header Parameters
x-user-id*string
Platform admin Supabase user id
Format
uuidx-platform-staff-email?string
Platform staff email for @compliwise.io domain verification
Format
emailRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/admin/knowledge-base/search" \ -H "x-user-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "query": "string", "count": 0, "results": [ { "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "chunkIndex": 0, "title": "string", "snippet": "string", "scope": "org", "sourceType": "upload", "sourceUri": "string", "score": 0, "location": { "lineStart": 1, "lineEnd": 1, "pageNumber": 1, "pageCount": 1, "highlightRects": [ { "pageNumber": 1, "x1": 0, "y1": 0, "x2": 0, "y2": 0 } ] }, "mimeType": "string", "retrieval": {} } ]}{ "message": "string"}Empty
{ "message": "string"}Empty